<template>
  <lull-icon class="pr-2 text-sm" :icon="icon" :color="iconColor" />
  <div>
    <h1 class="font-semibold text-sm pb-1">{{ title }}</h1>
    <div class="text-xs">{{ message }}</div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'recent-activity',
  props: {
    title: { type: String, required: true },
    icon: { type: String, required: true },
    iconColor: { type: String, required: false, default: '#7dd463' },
    message: { type: String, required: true },
  },
});
</script>

<style lang="scss" scoped>
</style>